# PSF-LoginServer - master - net.psforever.objects.ExplosiveDeployableControl
PSF - LoginServer - master - net.psforever.objects.ExplosiveDeployableControl
Keywords: PSF LoginServer master net.psforever.objects.ExplosiveDeployableControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# ExplosiveDeployableControl 

###
Companion class ExplosiveDeployableControl

#### object ExplosiveDeployableControl

Source
  ExplosiveDeployable.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExplosiveDeployableControl
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageResolution(target: ExplosiveDeployable, cause: DamageResult, damage: Int): Unit

   na

   na

   target

     na

   cause

     na

   damage

     na

5.  def DestructionAwareness(target: ExplosiveDeployable, cause: DamageResult): Unit

   na

   na

   target

     na

   cause

     na

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def detectTarget(g1: VolumetricGeometry, up: Vector3)(obj1: PlanetSideGameObject, obj2: PlanetSideGameObject, maxDistance: Float): Boolean

   Two game entities are considered "near" each other if they are within a certain distance of one another.

   Two game entities are considered "near" each other if they are within a certain distance of one another. For explosives, targets in the damage radius in the direction of the blast (above the explosive) are valid targets. Targets that are ~0.5916f units in the opposite direction of the blast (below the explosive) are also selected.

   g1

     a cached geometric representation that should belong to `obj1`

   up

     a cached vector in the direction of "above `obj1`'s geometric representation"

   obj1

     a game entity that explodes

   obj2

     a game entity that suffers the explosion

   maxDistance

     the square of the maximum distance permissible between game entities before they are no longer considered "near"

   returns

     `true`, if the target entities are near enough to each other; `false`, otherwise

   See also

     `ObjectDefinition.Geometry`

     `PrimitiveGeometry.pointOnOutside`

     `Vector3.DistanceSquared`

     `Vector3.neg`

     `Vector3.relativeUp`

     `Vector3.ScalarProjection`

     `Vector3.Unit`

9.  def detectionForExplosiveSource(obj: PlanetSideGameObject): (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean

   Two game entities are considered "near" each other if they are within a certain distance of one another.

   Two game entities are considered "near" each other if they are within a certain distance of one another. For explosives, the source of the explosion is always typically constant.

   obj

     a game entity that explodes

   returns

     a function that resolves a potential target as detected

   See also

     `detectsTarget`

     `ObjectDefinition.Geometry`

     `Vector3.relativeUp`

10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def explodes(target: Target, cause: DamageResult): Unit

    na

    na

    target

      na

    cause

      na

13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped